body {
    font-family: "Poppins",Arial, sans-serif;
}

body {
    margin: 0;
    padding: 0;
    background-image: linear-gradient(135deg, #ffffff 0%, #e28484 80%);
    background-size: cover;
    background-position: 100%, 100%;
    background-blend-mode: overlay;
    animation-name: load;
    animation-duration: 2s;
    animation-iteration-count: 1;
  }

.container {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: top;
    align-items: center;
    margin-top: 0;
    margin-left: 0px;
  }

h1 {
    margin-bottom: 20px;
}

.searchBar 
{
    padding-top: 20px;
    width:40%;
}

.title h1 
{
    font-size: 2.5rem;
}

input[type="text"] {
    width: 70%;
    padding: 10px;
    margin-bottom: 10px;
}

button {
    padding: 10px 20px;
    background-color: #007bff;
    color: #fff;
    border: none;
    cursor: pointer;
}

button:hover {
    background-color: #0056b3;
}

#newsResults {
    margin-top: 20px;
    text-align: left;
}

nav {
    margin-left: 0;
    margin-right: 0;
    justify-content: space-around;
  }
  
  nav ul li {
    padding-right: 0;
  }
  nav {
    width: 100%;
    background-color: #333;
    color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-left: auto;
    margin-right: 50px;
  }
  
  nav ul {
    list-style-type: none;
    display: flex;
    justify-content: center;
    padding: 0;
  }
  
  nav ul li {
    margin: 0 1rem;
    padding-right: 20px;
    border-bottom: 3px solid #4CAF50;
  }
  
  nav ul li a {
    color: #fff;
    text-decoration: none;
    padding: 10px;
    display: block;
    transition: 1s;
  }
  
  nav ul li a:hover {
    background-color: #5f9b52;
    transition: 1s;
  }
  
  .nav h1 {
    font-size: large;
  }
  
.logo {
    height: 125px;
    width: 250px;
    font-size: 0;
    margin: 10px;
    align-items: flex-start;
  }
  
  .logo img {
    height: 100%;
    width: auto;
  }

#defaultContent h2
{
    font-size: 4rem;
    color: rgb(103, 156, 110);
}


#defaultContent p
{
    font-size: 4rem;
    color: black;
    font-style: bold,italic;
    font-size: 2rem;
}


#noSearchContent h2
{
    font-size: 4rem;
    color: rgb(103, 156, 110);
}


#noSearchContent p
{
    font-size: 4rem;
    color: black;
    font-style: bold,italic;
    font-size: 2rem;
}

#searchInfo
{
    font-size: 2rem;
    color: black;
}

#newsResults
{
    display:flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}


.article {
    width: calc(25% - 20px); /* Adjust width for two columns with some margin */
    margin: 10px;
    padding: 10px;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.article h2 {
    font-size: 1.5rem;
    margin-bottom: 10px;
}

.article p {
    font-size: 1rem;
    color: #666;
    margin-bottom: 10px;
}

.article span {
    font-size: 0.8rem;
    color: #999;
    margin-right: 10px;
}

.article img {
    width: 100%;
    height: auto;
    border-radius: 5px;
    margin-bottom: 10px;
}

.article a {
    display: block;
    font-size: 1rem;
    color: #ec1603;
    text-decoration: none;
    transition: color 0.3s ease;
}

.article a:hover {
    color: #0056b3;
}


@keyframes load {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}


@media only screen and (orientation: portrait) and (max-width:928px)
{
  
.container {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: top;
    align-items: center;
    margin-top: 0;
    margin-left: 0px;
  }

h1 {
    margin-bottom: 20px;
}

.searchBar 
{
    padding-top: 20px;
    width:20%;
}

.title h1 
{
    font-size: 0.7rem;
}

input[type="text"] {
    width: 70%;
    
}

button {
    background-color: #007bff;
    color: #fff;
    border: none;
    cursor: pointer;
}

button:hover {
    background-color: #0056b3;
}

#newsResults {
    margin-top: 20px;
    text-align: left;
}

nav {
    margin-left: 0;
    margin-right: 0;
    justify-content: space-around;
  }
  
  nav ul li {
    padding-right: 0;
  }
  nav {
    width: 100%;
    background-color: #333;
    color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-left: auto;
    margin-right: 5px;
  }
  
  nav ul {
    list-style-type: none;
    display: flex;
    justify-content: center;
    padding: 0;
  }
  
  nav ul li {
    margin: 0 10.5rem;
    padding-right: 10px;
    border-bottom: 1px solid #4CAF50;
  }
  
  nav ul li a {
    color: #fff;
    text-decoration: none;
    padding: 10px;
    display: block;
    transition: 1s;
  }
  
  nav ul li a:hover {
    background-color: #5f9b52;
    transition: 1s;
  }
  
  .nav h1 {
    font-size: large;
  }
  
.logo {
    height:60px;
    width: 62.5px;
    font-size: 0;
    margin: 10px;
    align-items: flex-start;
  }
  
  .logo img {
    height: 100%;
    width: auto;
  }

#defaultContent h2
{
    font-size: 4rem;
    color: rgb(103, 156, 110);
}


#defaultContent p
{
    font-size: 3rem;
    color: black;
    font-style: bold,italic;
    
}


#noSearchContent h2
{
    font-size: 2rem;
    color: rgb(103, 156, 110);
}


#noSearchContent p
{
    font-size: 2rem;
    color: black;
    font-style: bold,italic;
    font-size: 1rem;
}

#searchInfo
{
    font-size: 1rem;
    color: black;
}

#newsResults
{
    display:flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}


.article {
    width: calc(70% - 10px); /* Adjust width for two columns with some margin */
    margin: 10px;
    padding: 10px;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.article h2 {
    font-size: 0.5rem;
    margin-bottom: 10px;
}

.article p {
    font-size: 0.5rem;
    color: #666;
    margin-bottom: 10px;
}

.article span {
    font-size: 0.8rem;
    color: #999;
    margin-right: 10px;
}

.article img {
    width: 100%;
    height: auto;
    border-radius: 5px;
    margin-bottom: 10px;
}

.article a {
    display: block;
    font-size: 0.5rem;
    color: #ec1603;
    text-decoration: none;
    transition: color 0.3s ease;
}

.article a:hover {
    color: #0056b3;
}

.article button
{
  padding:5px
  
}

.article button:hover
{

  color: #116bcb;
}

}
